| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Attributes | List of all members
nkGraphics::MeshManager Class Referencefinal

Manages the meshes recorded. More...

Inheritance diagram for nkGraphics::MeshManager:

## Static Public Attributes
static const nkMemory::StringView | POST_PROCESSING_MESH = "NILKINS_POSTPROCESS_SQUARE"
| Name for the built-in mesh used for post processing passes (standard Z). More...
static const nkMemory::StringView | POST_PROCESSING_MESH_REVERSE_Z = "NILKINS_POSTPROCESS_SQUARE_REVERSE_Z"
| Name for the built-in mesh used for post processing passes (reversed Z). More...

## Additional Inherited Members
Public Member Functions inherited from nkGraphics::Manager< Mesh >
Mesh * | createOrRetrieve (nkMemory::StringView name)
Mesh * | record (nkMemory::StringView name, nkMemory::UniquePtr< Mesh > resource)
Mesh * | get (nkMemory::StringView name) const
Mesh * | getByIndex (unsigned int index) const
void | rename (nkMemory::StringView currentName, nkMemory::StringView newName)
void | erase (nkMemory::StringView name)
nkMemory::UniquePtr< Mesh > | relinquish (nkMemory::StringView name)

## Detailed Description

Manages the meshes recorded.

Mesh creation / deletion can go through this class, allowing it to act as a repository of resources which lifetime will get managed as needed. Like any Manager, it is always owning the memory it owns, unless it passes back the ownership explicitly.

## Member Data Documentation

## ◆ POST_PROCESSING_MESH

const nkMemory::StringView nkGraphics::MeshManager::POST_PROCESSING_MESH = "NILKINS_POSTPROCESS_SQUARE"
| inline static

Name for the built-in mesh used for post processing passes (standard Z).

This mesh corresponds to a square that perfectly maps to the screen coordinates, as if it was pre-projected on the far plane. It also attaches correct uv-mapping to allow easy texture mapping.

## ◆ POST_PROCESSING_MESH_REVERSE_Z

const nkMemory::StringView nkGraphics::MeshManager::POST_PROCESSING_MESH_REVERSE_Z = "NILKINS_POSTPROCESS_SQUARE_REVERSE_Z"
| inline static

Name for the built-in mesh used for post processing passes (reversed Z).

It shares all the characteristics of the standard mesh, but its Z coordinates are reversed to map on the reversed Z far plane.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Meshes/MeshManager.h